Experiment(SubjectCode){

    Context(){

        AssignmentGroup(){

            ExperimentName = "The Navon (1981) Task";
            DataFileTrialFormat = "%SubjectCode% %PatternCode% %Trial.NavonPattern.Letter% %FocusBig% %Trial.NavonPattern.ResponseCode% %Trial.NavonPattern.ResponseTime%";
            SubjectGroup = 0;
            /*SubjectCode = "pxlab";*/
			RandomizeTrials = 1;
			RandomizeBlocks = 1;
			TrialFactor = 4;
			SkipBoundingBlockDisplays = 0;
            new H_Pattern = [17, 17, 17, 31, 17, 17, 17];
            new E_Pattern = [31, 1, 1, 7, 1, 1, 31];
            new K_Pattern = [17, 9, 5, 3, 5, 9, 17];
            new A_Pattern = [4, 10, 17, 17, 31, 17, 17];
            new S_Pattern = [14, 17, 1, 14, 16, 17, 14];
            new U_Pattern = [17, 17, 17, 17, 17, 17, 14];
            new PatternCode = 0;
            new Vowel = 0;
            new Consonant = 1;
			new FocusBig = 1;
        }
        Session(){

            Instruction(){

                Text = ["Navon experiment", 
                " ", 
                "V tomto experimentu uvidite vzdy velke pismeno slozene z malych pismen. ",
                "Predem budete upozorneni, zda mate davat pozor na VELKE nebo MALE pismeno.", 
                "Vasim ukolem je stisknout LEVE tlacitko mysi, kdyz je sledovane pismeno SAMOHLASKA",
                " nebo PRAVE tlacitko mysi, kdyz je to SOUHLASKA.",
                " ", 
                "Nyni stisknete libovolnou klavesu."];

            }

        }
        SessionEnd(){

            SessionEndMessage(){
                 Text = "Dekujeme!";
            }

        }
		Block:Big() {
            Instruction(){

                Text = [
				"Nyni sledujte >> VELKE << pismeno", 
				" ",
                "Vasim ukolem je stisknout LEVE tlacitko mysi, kdyz je VELKE pismeno SAMOHLASKA",
                " nebo PRAVE tlacitko mysi, kdyz je to SOUHLASKA.",
                " ", 
                "Nyni stisknete libovolnou klavesu."];

            }		    
		}
		Block:Small() {
            Instruction(){

                Text = [
				"Nyni sledujte >> MALE << pismeno", 
				" ",
                "Vasim ukolem je stisknout LEVE tlacitko mysi, kdyz je MALE pismeno SAMOHLASKA",
                " nebo PRAVE tlacitko mysi, kdyz je to SOUHLASKA.",
                " ", 
                "Nyni stisknete libovolnou klavesu."];

            }		    
		}
        Trial(FocusBig, PatternCode, NavonPattern.Pattern, NavonPattern.Letter, 
          Feedback.CorrectCode, NavonPattern.ResponseCode, 
          NavonPattern.ResponseTime){
            FixationMark(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 400;

            }
            ClearScreen:Fix(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 400;

            }
            NavonPattern(){

                Timer = de.pxlab.pxl.TimerCodes.RESPONSE_TIMER;
                ResponseSet = [de.pxlab.pxl.KeyCodes.LEFT_BUTTON, de.pxlab.pxl.KeyCodes.RIGHT_BUTTON];
                FontSize = 40;

            }
            
            ClearScreen(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 200;

            }
            Feedback(){  
                ResponseParameter = "Trial.NavonPattern.ResponseCode";
                CorrectText = "OK";
                FalseText = "X";
                Evaluation = de.pxlab.pxl.EvaluationCodes.COMPARE_CODE;
                Visible = 1;
                Protocol = 0;
                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 700;
                FontSize = 40;

            }


        }
        // Command line assignments
        AssignmentGroup();

    }
    Procedure(){

        Session(){

            Block:Big(){
                Trial(1, "A", A_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(1, "A", A_Pattern, <"H", "K", "S">, Vowel,     ?, ?);
                Trial(1, "E", E_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(1, "E", E_Pattern, <"H", "K", "S">, Vowel,     ?, ?);
                Trial(1, "H", H_Pattern, <"E", "A", "U">, Consonant, ?, ?);
                Trial(1, "H", H_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(1, "K", K_Pattern, <"E", "A", "U">, Consonant, ?, ?);
                Trial(1, "K", K_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(1, "S", S_Pattern, <"E", "A", "U">, Consonant, ?, ?);
                Trial(1, "S", S_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(1, "U", U_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(1, "U", U_Pattern, <"H", "K", "S">, Vowel,     ?, ?);
            }
            Block:Small(){
                Trial(0, "A", A_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "A", A_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(0, "E", E_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "E", E_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(0, "H", H_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "H", H_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(0, "K", K_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "K", K_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(0, "S", S_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "S", S_Pattern, <"H", "K", "S">, Consonant, ?, ?);
                Trial(0, "U", U_Pattern, <"E", "A", "U">, Vowel,     ?, ?);
                Trial(0, "U", U_Pattern, <"H", "K", "S">, Consonant, ?, ?);
            }
        }

    }

}
